<?php

/**
 * @file
 * Settings form for YAYB module.
 */

/**
 * Settings form
 */
function yayb_settings_form() {
  $form = [];
  $form[] = [
    '#markup' => t('<div><strong>Note: Page and block caching may affect visibility.</strong></div>'),
  ];
  $form['yayb_toggle'] = [
    '#type' => 'radios',
    '#title' => t('Display Options'),
    '#default_value' => variable_get('yayb_toggle', 0),
    '#options' => ['1' => t('Show Yellow Box'), '0' => t('Hide Yellow Box')],
    '#description' => t('Current message visibility. Must be on even when using expiration time below.'),
  ];
  $form['yayb_expiration'] = [
    '#type' => 'date_popup',
    '#title' => t('Expiration Time'),
    '#date_format' => 'm/d/Y h:ia',
    '#date_label_position' => 'none',
    '#date_year_range' => '0:1',
    '#default_value' => variable_get('yayb_expiration', NULL),
    '#description' => t('If this field is blank, the block will be displayed until turned off.'),
  ];
  $form['yayb_title'] = [
    '#type' => 'textfield',
    '#title' => t('Title'),
    '#default_value' => variable_get('yayb_title', t('Important Message')),
    '#description' => t('Title for message block.'),
  ];
  $form['yayb_message'] = [
    '#type' => 'textarea',
    '#title' => t('Message'),
    '#default_value' => variable_get('yayb_message', NULL),
    '#description' => t('Message to display to users. This will be passed through the default input filter.'),
  ];
  $form['yayb_severity']  =[
    '#type' => 'radios',
    '#title' => t('Severity'),
    '#options' => [
      'critical' => t('<span class="yayb-critical">Critical</span>'),
      'major' => t('<span class="yayb-major">Major</span>'),
      'important' => t('<span class="yayb-important">Important</span>'),
      'notice' => t('<span class="yayb-notice">Notice</span>'),
      'info' => t('<span class="yayb-info">Info</span>'),
    ],
    '#default_value' => variable_get('yayb_severity', 'important'),
    '#description' => t('Set the severity level of the message. (Use css styling in theme to alter the display.)'),
  ];
  return system_settings_form($form);
}
