<?php

/**
 * Block functionality for Yayb module.
 */
class YaybServices {

  /**
   * Displays the block contents.
   */
  public static function view() {
    if (self::checkVisibility()) {
      $block = [];
      if ($subject = variable_get('yayb_title', NULL)) {
        $block['subject'] = check_plain($subject);
      }
      if ($content = variable_get('yayb_message', NULL)) {
        $block['content'] = ['#markup' => filter_xss($content)];
      }
      $block['severity'] = variable_get('yayb_severity', 'important');
      return $block;
    }
  }

  /**
   * Check block visibility.
   *
   * @return bool
   *   Returns TRUE if the block should be shown.
   */
  public static function checkVisibility() {
    if (variable_get('yayb_toggle', 0)) {
      if (empty(variable_get('yayb_expiration'))) {
        return TRUE;
      }
      elseif (strtotime(variable_get('yayb_expiration', 0)) > REQUEST_TIME) {
        return TRUE;
      }
    }
  }
}
